IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_doc_documento_ot_centroCosto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_doc_documento_ot_centroCosto]
GO
CREATE PROCEDURE [reg_doc_documento_ot_centroCosto]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[documento.ot_centroCosto] AS [documento.ot_centroCosto],
		[porcentaje] AS [porcentaje],
		[id_centroCosto] AS [id_centroCosto],
		[id_documento.ot] AS [id_documento.ot]
	FROM [doc_documento.ot_centroCosto]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_doc_documento_ot_centroCosto]')) DROP VIEW [dbo].[view_doc_documento_ot_centroCosto]
GO
CREATE  VIEW [view_doc_documento_ot_centroCosto] AS
SELECT 	[doc_documento.ot_centroCosto].[id] AS [id],
		[doc_documento.ot_centroCosto].[uid] AS [uid],
		[doc_documento.ot_centroCosto].[eid] AS [eid],
		[doc_documento.ot_centroCosto].[id_usuario_modifico] AS [id_usuario_modifico],
		[doc_documento.ot_centroCosto].[id_usuario_creo] AS [id_usuario_creo],
		[doc_documento.ot_centroCosto].[fechaModificacion] AS [fechaModificacion],
		[doc_documento.ot_centroCosto].[fechaCreacion] AS [fechaCreacion],
		[doc_documento.ot_centroCosto].[active] AS [active],
		[doc_documento.ot_centroCosto].[documento.ot_centroCosto] AS [documento.ot_centroCosto],
		[doc_documento.ot_centroCosto].[porcentaje] AS [porcentaje],
		[doc_documento.ot_centroCosto].[id_centroCosto] AS [id_centroCosto],
[doc_centroCosto].[centroCosto] as [doc_centroCosto_centroCosto],
[doc_centroCosto].[centroCosto_codigo] as [doc_centroCosto_centroCosto_codigo],
		[doc_documento.ot_centroCosto].[id_documento.ot] AS [id_documento.ot],
[doc_documento.ot].[documento.ot] as [doc_documento.ot_documento.ot],
[doc_documento.ot].[motivoServicio] as [doc_documento.ot_motivoServicio],
[doc_documento.ot].[enTaller] as [doc_documento.ot_enTaller],
[doc_documento.ot].[diagnosticoInicial] as [doc_documento.ot_diagnosticoInicial],
[doc_documento.ot].[contacto] as [doc_documento.ot_contacto],
[doc_documento.ot].[cargo] as [doc_documento.ot_cargo],
[doc_documento.ot].[telefono] as [doc_documento.ot_telefono],
[doc_documento.ot].[fax] as [doc_documento.ot_fax],
[doc_documento.ot].[email] as [doc_documento.ot_email],
[doc_documento.ot].[direccionUbicacion] as [doc_documento.ot_direccionUbicacion],
[doc_documento.ot].[duracionEstimada] as [doc_documento.ot_duracionEstimada],
[doc_documento.ot].[fechaGarantia_ff] as [doc_documento.ot_fechaGarantia_ff],
[doc_documento.ot].[fechaCompromiso_fh] as [doc_documento.ot_fechaCompromiso_fh],
[doc_documento.ot].[trabajos] as [doc_documento.ot_trabajos],
[doc_documento.ot].[recomendaciones] as [doc_documento.ot_recomendaciones],
[doc_documento.ot].[compromisos] as [doc_documento.ot_compromisos],
[doc_documento.ot].[reclamacionFabrica] as [doc_documento.ot_reclamacionFabrica],
[doc_documento.ot].[porcentajeCliente] as [doc_documento.ot_porcentajeCliente],
[doc_documento.ot].[porcentajeDistribuidor] as [doc_documento.ot_porcentajeDistribuidor],
[doc_documento.ot].[porcentajeFabricante] as [doc_documento.ot_porcentajeFabricante],
[doc_documento.ot].[segunTempario] as [doc_documento.ot_segunTempario],
[doc_documento.ot].[distribuyeCentros] as [doc_documento.ot_distribuyeCentros],
[doc_documento.ot].[id_tipoServicio] as [doc_documento.ot_id_tipoServicio],
[doc_documento.ot].[id_equipo] as [doc_documento.ot_id_equipo],
[doc_documento.ot].[id_usuario_coordinador] as [doc_documento.ot_id_usuario_coordinador],
[doc_documento.ot].[id_motivoCancelacion] as [doc_documento.ot_id_motivoCancelacion],
[doc_documento.ot].[id_sucursal] as [doc_documento.ot_id_sucursal],
[doc_documento.ot].[id_sistema] as [doc_documento.ot_id_sistema],
[doc_documento.ot].[id_departamentoSolicitud] as [doc_documento.ot_id_departamentoSolicitud],
[doc_documento.ot].[id_contrato] as [doc_documento.ot_id_contrato],
[doc_documento.ot].[id_zona] as [doc_documento.ot_id_zona],
		[doc_documento_ot].[documento_codigo] AS [doc_documento_ot_documento_codigo],
		[doc_documento_ot].[documento_numero] AS [doc_documento_ot_documento_numero],
		[doc_documento_ot].[prefijo] AS [doc_documento_ot_prefijo],
		[doc_documento_ot].[subtotal] AS [doc_documento_ot_subtotal],
		[doc_documento_ot].[descuento] AS [doc_documento_ot_descuento],
		[doc_documento_ot].[iva] AS [doc_documento_ot_iva],
		[doc_documento_ot].[total] AS [doc_documento_ot_total],
		[doc_documento_ot].[costo] AS [doc_documento_ot_costo],
		[doc_documento_ot].[rentabilidad] AS [doc_documento_ot_rentabilidad],
		[doc_documento_ot].[trm] AS [doc_documento_ot_trm],
		[doc_documento_ot].[fecha_fh] AS [doc_documento_ot_fecha_fh],
		[doc_documento_ot].[fechaSugerida_fh] AS [doc_documento_ot_fechaSugerida_fh],
		[doc_documento_ot].[fechaCierre_ff] AS [doc_documento_ot_fechaCierre_ff],
		[doc_documento_ot].[fechaLimite_fh] AS [doc_documento_ot_fechaLimite_fh],
		[doc_documento_ot].[id_subtipoDocumento] AS [doc_documento_ot_id_subtipoDocumento],
		[doc_documento_ot].[id_tercero_cliente] AS [doc_documento_ot_id_tercero_cliente],
		[doc_documento_ot].[id_documento] AS [doc_documento_ot_id_documento],
		[doc_documento_ot].[id_tercero_proveedor] AS [doc_documento_ot_id_tercero_proveedor],
		[doc_documento_ot].[id_prioridadDocumento] AS [doc_documento_ot_id_prioridadDocumento],
		[doc_documento_ot].[id_moneda] AS [doc_documento_ot_id_moneda],
		[doc_documento_ot].[id_estadoTipoDocumento] AS [doc_documento_ot_id_estadoTipoDocumento],
		[doc_documento_ot].[id_motivoestado] AS [doc_documento_ot_id_motivoestado],
		[doc_documento_ot].[subtotalPlaneado] AS [doc_documento_ot_subtotalPlaneado],
		[doc_documento_ot].[descuentoPlaneado] AS [doc_documento_ot_descuentoPlaneado],
		[doc_documento_ot].[ivaPlaneado] AS [doc_documento_ot_ivaPlaneado],
		[doc_documento_ot].[totalPlaneado] AS [doc_documento_ot_totalPlaneado],
		[doc_documento_ot].[costoPlaneado] AS [doc_documento_ot_costoPlaneado],
		[doc_documento_ot].[id_usuario_asignado] AS [doc_documento_ot_id_usuario_asignado],
		[doc_documento_ot].[id_usuario_enUso] AS [doc_documento_ot_id_usuario_enUso],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [doc_documento.ot_centroCosto]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[doc_documento.ot_centroCosto].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[doc_documento.ot_centroCosto].[id_usuario_creo]
	INNER JOIN [doc_centroCosto] ON [doc_centroCosto].id=[doc_documento.ot_centroCosto].[id_centroCosto]
	INNER JOIN [doc_documento.ot] ON [doc_documento.ot].id=[doc_documento.ot_centroCosto].[id_documento.ot]
	INNER JOIN [doc_documento] aS [doc_documento_ot] ON [doc_documento.ot].id = [doc_documento_ot].id
	INNER JOIN [gen_empresa] AS empresaCodigo ON [doc_documento.ot_centroCosto].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_ot_centroCostosXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_ot_centroCostosXusuario_modifico]
GO
CREATE PROCEDURE [sel_doc_documento_ot_centroCostosXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.ot_centroCosto]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_ot_centroCostosXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_ot_centroCostosXusuario_creo]
GO
CREATE PROCEDURE [sel_doc_documento_ot_centroCostosXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.ot_centroCosto]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_ot_centroCostosXcentroCosto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_ot_centroCostosXcentroCosto]
GO
CREATE PROCEDURE [sel_doc_documento_ot_centroCostosXcentroCosto]
	@p_id_centroCosto INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.ot_centroCosto]
	WHERE ([id_centroCosto]= @p_id_centroCosto)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_ot_centroCostosXdocumento_ot]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_ot_centroCostosXdocumento_ot]
GO
CREATE PROCEDURE [sel_doc_documento_ot_centroCostosXdocumento_ot]
	@p_id_documento_ot INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.ot_centroCosto]
	WHERE ([id_documento.ot]= @p_id_documento_ot)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_ot_centroCostos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_ot_centroCostos]
GO
CREATE PROCEDURE [sel_doc_documento_ot_centroCostos]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_doc_documento_ot_centroCosto]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_doc_documento_ot_centroCostos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_doc_documento_ot_centroCostos]
GO
CREATE PROCEDURE [lis_doc_documento_ot_centroCostos]
	AS
BEGIN
	SELECT id AS id,
[documento.ot_centroCosto] AS [doc_documento.ot_centroCosto]
	FROM [doc_documento.ot_centroCosto]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_doc_documento_ot_centroCosto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_doc_documento_ot_centroCosto]
GO
CREATE PROCEDURE [upd_doc_documento_ot_centroCosto]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_documento_ot_centroCosto varchar(300) = null,
		@p_porcentaje float = null,
		@p_id_centroCosto int = null,
		@p_id_documento_ot int = null
AS
BEGIN
		UPDATE [doc_documento.ot_centroCosto]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[documento.ot_centroCosto] = isnull(@p_documento_ot_centroCosto,[documento.ot_centroCosto]),
			[porcentaje] = isnull(@p_porcentaje,[porcentaje]),
			[id_centroCosto] = isnull(@p_id_centroCosto,[id_centroCosto]),
			[id_documento.ot] = isnull(@p_id_documento_ot,[id_documento.ot])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_doc_documento_ot_centroCosto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_doc_documento_ot_centroCosto]
GO
CREATE PROCEDURE [ins_doc_documento_ot_centroCosto]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_documento_ot_centroCosto varchar(300),
		@p_porcentaje float,
		@p_id_centroCosto int,
		@p_id_documento_ot int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [doc_documento.ot_centroCosto]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[documento.ot_centroCosto],
			[porcentaje],
			[id_centroCosto],
			[id_documento.ot])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_documento_ot_centroCosto,
			@p_porcentaje,
			@p_id_centroCosto,
			@p_id_documento_ot)
		SET @v_id = scope_identity()
UPDATE [doc_documento.ot_centroCosto] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_doc_documento_ot_centroCosto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_doc_documento_ot_centroCosto]
GO
CREATE PROCEDURE [act_doc_documento_ot_centroCosto]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [doc_documento.ot_centroCosto]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_doc_documento_ot_centroCosto_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_doc_documento_ot_centroCosto_m]
GO
CREATE PROCEDURE [reg_doc_documento_ot_centroCosto_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[documento.ot_centroCosto] AS [documento.ot_centroCosto],
		[porcentaje] AS [porcentaje],
		[id_centroCosto] AS [id_centroCosto],
		[id_documento.ot] AS [id_documento.ot]
	FROM [doc_documento.ot_centroCosto]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_ot_centroCostosXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_ot_centroCostosXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_doc_documento_ot_centroCostosXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.ot_centroCosto]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_ot_centroCostosXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_ot_centroCostosXusuario_creo_m]
GO
CREATE PROCEDURE [sel_doc_documento_ot_centroCostosXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.ot_centroCosto]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_ot_centroCostosXcentroCosto_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_ot_centroCostosXcentroCosto_m]
GO
CREATE PROCEDURE [sel_doc_documento_ot_centroCostosXcentroCosto_m]
	@p_id_centroCosto INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.ot_centroCosto]
	WHERE ([id_centroCosto]= @p_id_centroCosto)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_ot_centroCostosXdocumento_ot_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_ot_centroCostosXdocumento_ot_m]
GO
CREATE PROCEDURE [sel_doc_documento_ot_centroCostosXdocumento_ot_m]
	@p_id_documento_ot INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.ot_centroCosto]
	WHERE ([id_documento.ot]= @p_id_documento_ot)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_ot_centroCostos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_ot_centroCostos_m]
GO
CREATE PROCEDURE [sel_doc_documento_ot_centroCostos_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_doc_documento_ot_centroCosto]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_doc_documento_ot_centroCostos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_doc_documento_ot_centroCostos_m]
GO
CREATE PROCEDURE [lis_doc_documento_ot_centroCostos_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[documento.ot_centroCosto] AS [doc_documento.ot_centroCosto]
	FROM [doc_documento.ot_centroCosto]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_doc_documento_ot_centroCosto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_doc_documento_ot_centroCosto]
GO
CREATE PROCEDURE [aud_doc_documento_ot_centroCosto]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [doc_documento.ot_centroCosto].id as id_tabla,
	[doc_documento.ot_centroCosto].id_usuario_modifico as id_usuario_modifico,
	[doc_documento.ot_centroCosto].id_usuario_creo as id_usuario_creo,
	[doc_documento.ot_centroCosto].fechaModificacion as fechaModificacion,
	[doc_documento.ot_centroCosto].fechaCreacion as fechaCreacion,
	[doc_documento.ot_centroCosto].active as active,
	[doc_documento.ot_centroCosto].[documento.ot_centroCosto] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [doc_documento.ot_centroCosto]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[doc_documento.ot_centroCosto].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[doc_documento.ot_centroCosto].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'doc_documento.ot_centroCosto'
-----------------------------------14/09/2017 12:19:17